# Hurricane Documentation

# Hurricane VLSI Database

List of all members
Hurricane::Segment::SourceHook Class Reference
Inheritance diagram for Hurricane::Segment::SourceHook:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Hurricane::Hook
Hook * | getNextHook () const
Hook * | getPreviousHook () const
Hook * | getMasterHook () const
Hook * | getNextMasterHook () const
Hook * | getPreviousMasterHook () const
Hooks | getHooks () const
Hooks | getSlaveHooks () const
bool | isAttached () const
Hook * | detach ()
Hook * | attach (Hook *hook)
Hook * | merge (Hook *hook)

## Detailed Description

With segments, a new type of Hook appears : the SourceHook, which allows to attach the segment origin upon an other component, on which it is said to be "anchored". The SourceHook is always a slave hook.

The documentation for this class was generated from the following file:

- Segment.h